API
⌘K
My Developer Account

ConnectedApplication

Example Request

curl https://api.planningcenteronline.com/api/v2/connected_applications

View in API Explorer →

Example Object

{
  "type": "ConnectedApplication",
  "id": "1",
  "attributes": {
    "description": "string",
    "name": "string",
    "url": "string"
  },
  "relationships": {}
}

Attributes

Name Type Description
description string
id primary_key
name string
url string

Pagination

Name Parameter Type Description
per_page per_page integer how many records to return per page (min=1, max=100, default=25)
offset offset integer get results from given offset

Endpoints

Listing

HTTP Method Endpoint
GET /api/v2/connected_applications

Reading

HTTP Method Endpoint
GET /api/v2/connected_applications/{id}

Associations

HTTP Method Endpoint Returns Details Filter By
GET /api/v2/connected_applications/{connected_application_id}/people ConnectedApplicationPerson

Belongs To

HTTP Method Endpoint Association Details Filter By
GET /api/v2/connected_applications Organization